"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _get = _interopRequireDefault(require("lodash/get"));

var _About = _interopRequireDefault(require("../sections/About"));

var _LoginFormContainer = _interopRequireDefault(require("../../containers/login/LoginFormContainer"));

var _LoginPage = _interopRequireDefault(require("../../../styles/cspace-ui/LoginPage.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/* global window */
const propTypes = {
  history: _propTypes.default.shape({
    replace: _propTypes.default.func
  }).isRequired,
  location: _propTypes.default.shape({
    state: _propTypes.default.object
  }).isRequired,
  closeModal: _propTypes.default.func,
  resetLogin: _propTypes.default.func,
  onMount: _propTypes.default.func
};

class LoginPage extends _react.Component {
  constructor(props) {
    super(props);
    this.handleSuccess = this.handleSuccess.bind(this);
  }

  componentDidMount() {
    const {
      onMount
    } = this.props;

    if (onMount) {
      onMount();
    }
  }

  handleSuccess() {
    const {
      history,
      location,
      closeModal,
      resetLogin
    } = this.props;
    const landing = (0, _get.default)(location, ['state', 'continuation']) || '';
    return new Promise(resolve => {
      window.setTimeout(() => {
        // The login modal might be open. Ensure it is closed.
        if (closeModal) {
          closeModal();
        }

        if (resetLogin) {
          resetLogin();
        }

        history.replace(landing);
        resolve();
      }, 0);
    });
  }

  render() {
    return _react.default.createElement("div", {
      className: _LoginPage.default.common
    }, _react.default.createElement("div", {
      className: _LoginPage.default.about
    }, _react.default.createElement(_About.default, null)), _react.default.createElement("div", {
      className: _LoginPage.default.login
    }, _react.default.createElement(_LoginFormContainer.default, {
      onSuccess: this.handleSuccess
    })));
  }

}

exports.default = LoginPage;
LoginPage.propTypes = propTypes;