"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = UnrelateButton;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactIntl = require("react-intl");

var _cspaceInput = require("cspace-input");

var _UnrelateButton = _interopRequireDefault(require("../../../styles/cspace-ui/UnrelateButton.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const {
  Button
} = _cspaceInput.components;
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "unrelateButton.label",
    "defaultMessage": "Unrelate"
  }
});
const propTypes = {
  disabled: _propTypes.default.bool,
  isUnrelating: _propTypes.default.bool,
  isUnrelatable: _propTypes.default.bool,
  onClick: _propTypes.default.func
};
const defaultProps = {
  isUnrelatable: true
};

function UnrelateButton(props) {
  const {
    disabled,
    isUnrelating,
    isUnrelatable,
    onClick
  } = props,
        remainingProps = _objectWithoutProperties(props, ["disabled", "isUnrelating", "isUnrelatable", "onClick"]);

  if (!isUnrelatable) {
    return null;
  }

  return _react.default.createElement(Button, _extends({}, remainingProps, {
    className: _UnrelateButton.default.common,
    disabled: disabled || isUnrelating,
    icon: true,
    name: "unrelate",
    onClick: onClick
  }), _react.default.createElement(_reactIntl.FormattedMessage, messages.label));
}

UnrelateButton.propTypes = propTypes;
UnrelateButton.defaultProps = defaultProps;