"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDerivativePath = exports.getImageViewerPath = exports.VIEWER_WINDOW_NAME = void 0;
const VIEWER_WINDOW_NAME = 'viewer';
exports.VIEWER_WINDOW_NAME = VIEWER_WINDOW_NAME;

const getImageViewerPath = (config, imagePath) => {
  const {
    basename
  } = config;
  return "".concat(basename || '', "/view/").concat(imagePath);
};

exports.getImageViewerPath = getImageViewerPath;

const getDerivativePath = (csid, derivative) => {
  const derivativePath = derivative ? "/derivatives/".concat(derivative) : '';
  return "blobs/".concat(csid).concat(derivativePath, "/content");
};

exports.getDerivativePath = getDerivativePath;