"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkflowStateInput = exports.URLInput = exports.UploadInput = exports.TermPickerInput = exports.OptionPickerInput = exports.TextInput = exports.RichTextInput = exports.ReadOnlyInput = exports.StructuredDateInput = exports.RolesInput = exports.PermissionsInput = exports.PasswordInput = exports.ObjectNameInput = exports.IDGeneratorInput = exports.HierarchyInput = exports.DateTimeInput = exports.DateInput = exports.CompoundInput = exports.CheckboxInput = exports.Button = exports.AutocompleteInput = void 0;

var _cspaceInput = require("cspace-input");

var _CheckboxInput = _interopRequireDefault(require("../components/record/CheckboxInput"));

var _ObjectNameInput = _interopRequireDefault(require("../components/record/ObjectNameInput"));

var _URLInput = _interopRequireDefault(require("../components/record/URLInput"));

var _WorkflowStateInput = _interopRequireDefault(require("../components/record/WorkflowStateInput"));

var _DateInputContainer = _interopRequireDefault(require("../containers/input/DateInputContainer"));

var _DateTimeInputContainer = _interopRequireDefault(require("../containers/input/DateTimeInputContainer"));

var _HierarchyInputContainer = _interopRequireDefault(require("../containers/record/HierarchyInputContainer"));

var _IDGeneratorInputContainer = _interopRequireDefault(require("../containers/input/IDGeneratorInputContainer"));

var _OptionPickerInputContainer = _interopRequireDefault(require("../containers/record/OptionPickerInputContainer"));

var _UploadInputContainer = _interopRequireDefault(require("../containers/input/UploadInputContainer"));

var _PermissionsInputContainer = _interopRequireDefault(require("../containers/admin/PermissionsInputContainer"));

var _MiniViewPopupAutocompleteInputContainer = _interopRequireDefault(require("../containers/record/MiniViewPopupAutocompleteInputContainer"));

var _RolesInputContainer = _interopRequireDefault(require("../containers/admin/RolesInputContainer"));

var _StructuredDateInputContainer = _interopRequireDefault(require("../containers/record/StructuredDateInputContainer"));

var _TermPickerInputContainer = _interopRequireDefault(require("../containers/record/TermPickerInputContainer"));

var _withBooleanValue = _interopRequireDefault(require("../enhancers/withBooleanValue"));

var _withCsid = _interopRequireDefault(require("../enhancers/withCsid"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  labelable,
  repeatable
} = _cspaceInput.enhancers;
const AutocompleteInput = repeatable(labelable(_MiniViewPopupAutocompleteInputContainer.default));
exports.AutocompleteInput = AutocompleteInput;
const {
  Button
} = _cspaceInput.components;
exports.Button = Button;
const CheckboxInput = (0, _withBooleanValue.default)(_CheckboxInput.default);
exports.CheckboxInput = CheckboxInput;
const {
  CompoundInput
} = _cspaceInput.components;
exports.CompoundInput = CompoundInput;
const DateInput = _DateInputContainer.default;
exports.DateInput = DateInput;
const DateTimeInput = _DateTimeInputContainer.default;
exports.DateTimeInput = DateTimeInput;
const HierarchyInput = (0, _withCsid.default)(_HierarchyInputContainer.default);
exports.HierarchyInput = HierarchyInput;
const IDGeneratorInput = _IDGeneratorInputContainer.default;
exports.IDGeneratorInput = IDGeneratorInput;
const ObjectNameInput = repeatable(labelable(_ObjectNameInput.default));
exports.ObjectNameInput = ObjectNameInput;
const {
  PasswordInput
} = _cspaceInput.components;
exports.PasswordInput = PasswordInput;
const PermissionsInput = labelable(_PermissionsInputContainer.default);
exports.PermissionsInput = PermissionsInput;
const RolesInput = labelable(_RolesInputContainer.default);
exports.RolesInput = RolesInput;
const StructuredDateInput = _StructuredDateInputContainer.default;
exports.StructuredDateInput = StructuredDateInput;
const {
  ReadOnlyInput
} = _cspaceInput.components;
exports.ReadOnlyInput = ReadOnlyInput;
const {
  RichTextInput
} = _cspaceInput.components;
exports.RichTextInput = RichTextInput;
const {
  TextInput
} = _cspaceInput.components;
exports.TextInput = TextInput;
const OptionPickerInput = _OptionPickerInputContainer.default;
exports.OptionPickerInput = OptionPickerInput;
const TermPickerInput = _TermPickerInputContainer.default;
exports.TermPickerInput = TermPickerInput;
const UploadInput = _UploadInputContainer.default;
exports.UploadInput = UploadInput;
const URLInput = _URLInput.default;
exports.URLInput = URLInput;
const WorkflowStateInput = _WorkflowStateInput.default;
exports.WorkflowStateInput = WorkflowStateInput;