"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    CompoundInput,
    OptionPickerInput,
    TextInput,
    WorkflowStateInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    DATA_TYPE_BOOL
  } = configContext.dataTypes;
  const {
    extensions
  } = configContext.config;
  return {
    document: _objectSpread({
      [config]: {
        view: {
          type: CompoundInput,
          props: {
            defaultChildSubpath: 'ns2:vocabularies_common'
          }
        }
      }
    }, extensions.core.fields, {
      'ns2:vocabularies_common': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/vocabulary'
          },
          view: {
            type: CompoundInput
          }
        },
        displayName: {
          [config]: {
            cloneable: false,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.vocabularies_common.displayName.name",
                "defaultMessage": "Name"
              }
            }),
            required: true,
            view: {
              type: TextInput
            }
          }
        },
        source: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.vocabularies_common.source.name",
                "defaultMessage": "Source"
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        description: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.vocabularies_common.description.name",
                "defaultMessage": "Description"
              }
            }),
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        }
      },
      'ns2:abstract-common-list': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/jaxb'
          },
          view: {
            type: CompoundInput
          }
        },
        'list-item': {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.vocabularyitems_common.list-item.name",
                "defaultMessage": "Terms"
              }
            }),
            repeating: true,
            view: {
              type: CompoundInput,
              props: {
                disableRemoveButton: data => {
                  if (!data) {
                    return true;
                  }

                  const referenced = data.get('referenced');
                  return typeof referenced === 'undefined' || referenced === 'true';
                },
                tabular: true,
                sortableFields: {
                  displayName: true
                }
              }
            }
          },
          displayName: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.vocabularyitems_common.displayName.name",
                  "defaultMessage": "Name"
                },
                fullName: {
                  "id": "field.vocabularyitems_common.displayName.fullName",
                  "defaultMessage": "Term name"
                }
              }),
              required: true,
              view: {
                type: TextInput
              }
            }
          },
          description: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.vocabularyitems_common.description.name",
                  "defaultMessage": "Description"
                }
              }),
              view: {
                type: TextInput
              }
            }
          },
          source: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.vocabularyitems_common.source.name",
                  "defaultMessage": "Source"
                }
              }),
              view: {
                type: TextInput
              }
            }
          },
          sourcePage: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.vocabularyitems_common.sourcePage.name",
                  "defaultMessage": "Source page"
                }
              }),
              view: {
                type: TextInput
              }
            }
          },
          termStatus: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.vocabularyitems_common.termStatus.name",
                  "defaultMessage": "Status"
                }
              }),
              view: {
                type: OptionPickerInput,
                props: {
                  source: 'vocabTermStatuses'
                }
              }
            }
          },
          referenced: {
            [config]: {
              dataType: DATA_TYPE_BOOL,
              defaultValue: true
            }
          },
          workflowState: {
            [config]: {
              view: {
                type: WorkflowStateInput
              }
            }
          }
        }
      }
    })
  };
};

exports.default = _default;